Subject: Re: stty
From: Chris Faylor <[email-masked]>
To: David Stuart <[email-masked]>
Cc: Chris Faylor <[email-masked]>
Date: Mon, 28 Jun 1999 21:18:49 -0400

Since the 'tty emulation' mode uses pipes for communication, it does
cause some problems with programs who are expecting their stdin/stdout
to be an actual console.

If it is just vim that is giving you problems, then you can always use
a cygwin-specific version.

Basically, the only way you're going to be able to get the functionality
that you want is if you use pure-cygwin applications.  Even if a
non-cygwin program operates fine in CYGWIN=tty mode, it will not
understand Cygwin's conventions for setting things like 'intr', 'susp',
'kill', etc.

cgf

On Mon, Jun 28, 1999 at 08:04:56AM -0500, David Stuart wrote:
>this seems to result in somewhat unstable behavior for running DOS
>applications (vim and gvim, for example)..
>
>So I guess I will have to live with it not having all the stty settings,
>if I want to interwork with NT applications?
>
>Dave
>> -----Original Message-----
>> From:	Chris Faylor [SMTP:[email-masked]]
>> Sent:	Saturday, June 26, 1999 2:04 PM
>> To:	Stuart, David [SKPK:1O21:EXCH]
>> Cc:	cygwin
>> Subject:	Re: stty
>> 
>> On Fri, Jun 25, 1999 at 01:49:45PM -0400, David Stuart wrote:
>> >Hi,
>> >
>> >I hope I'm not beating a dead horse by bringing this topic up, but has
>> >anyone figured out how to get the stty settings to work in bash?
>> >
>> >stty intr, susp, kill, etc.
>> >
>> >None of these commands seem to work, or work strangely (^C, for
>> instance).
>> >I realize it's probably a DOS/unix difference in the tty, but still,
>> >is there a workaround?
>> 
>> You can either set CYGWIN=tty prior to running bash or use a recent
>> snapshot.

--
Want to unsubscribe from this list?
Send a message to [email-masked]